

$script = <<-SCRIPT
mkdir -p ~/.ssh/
grep  -q 'repo.or.cz' ~/.ssh/known_hosts  || ssh-keyscan -t rsa repo.or.cz >> ~/.ssh/known_hosts

echo #{ENV['ANSIBLE_VAULT_PASS']} > /etc/ansible/vault-pass
ansible-pull --vault-password-file /etc/ansible/vault-pass -U git://repo.or.cz/roadwar.git

SCRIPT


Vagrant.configure("2") do |config|

  config.vm.define "tinc1" do |tinc1|
    tinc1.vm.box = "debian/jessie64"
    tinc1.vm.hostname = "tinc1"
    tinc1.vm.network "private_network", ip: "192.168.10.100"
    tinc1.vm.provider "virtualbox" do |vb|
      vb.memory = "512"
    end
    tinc1.vm.provision :shell, :inline   => "  
      echo 'deb http://ppa.launchpad.net/ansible/ansible/ubuntu trusty main' >> /etc/apt/sources.list
      apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 93C4A3FD7BB9C367
      apt-get update
      apt-get install -yq ansible git
      "
    #tinc1.vm.provision "shell", privileged: true, inline: $script
  end

  # config.vm.define "tinc2" do |tinc2|
  #   tinc2.vm.box = "debian/jessie64"
  #   tinc2.vm.hostname = "tinc2"
  #   tinc2.vm.network "private_network", ip: "192.168.10.101"
  #   tinc2.vm.provider "virtualbox" do |vb|
  #     vb.memory = "512"
  #   end
  # end

  config.vm.define "tinc3" do |tinc3|
    tinc3.vm.box = "archlinux/archlinux"
    tinc3.vm.hostname = "tinc3"
    tinc3.vm.network "private_network", ip: "192.168.10.102"
    tinc3.vm.provider "virtualbox" do |vb|
      vb.memory = "512"
    end
    tinc3.vm.provision :shell, :inline   => "  
      pacman-key --init
      pacman-key --populate archlinux
      pacman -Syy --noconfirm
      pacman -S ansible git --noconfirm
      "
    #tinc3.vm.provision "shell", privileged: true, inline: $script
  end

end
